#pragma once

#include <fxlib.h>
#include <filebios.h>
#include "newkeybios.h"

void initFileSystem();

void saveToFile();
char* loadSprites();
int checkErrors(const int err);

static const FONTCHARACTER spritespath[] = {'\\','\\','f','l','s','0','\\','s','p','r','i','t','e','s','.','d','a','t',0};
static const FONTCHARACTER levelspath[] = {'\\','\\','f','l','s','0','\\','s','p','r','i','t','e','s','.','d','a','t',0};

// + 1 for the last null byte
#define FILE_SPRITES_SIZE (256 * 8 * 8 + 1)
#define FILE_LEVELS_SIZE 4097
