#include "sprite.h"

void drawSprite(const char* spr, int x, int y) {
	char col = 0;
	for (int i = 0; i < 8; ++i) {
		col = spr[i];
		for (int j = 0; j < 8; ++j) {
			if (x + i < 128 && x + i >= 0 && y + j < 64 && y + j >= 0)
				Bdisp_SetPoint_VRAM(x + i, y + j, col & 1);
			col >>= 1;
		}
	}
}

void drawScreen(Level* l, int posX, int posY, char offsetX, char offsetY) {	
	for (int i = 0; i < 17; ++i) {
		for (int j = 0; j < 9; ++j) {
			drawSprite(
				spritedata + 8 * l->level[(posX + i) * l->sizeY + posY + j], 
				i * 8 + offsetX, 
				j * 8 + offsetY);
		}
	}
}
