#include "files.h"

void initFileSystem() {
	int err = Bfile_CreateFile(spritespath, FILE_SPRITES_SIZE);
	checkErrors(err);

	err = Bfile_CreateFile(levelspath, FILE_LEVELS_SIZE);
	checkErrors(err);

	int sprhandle = Bfile_OpenFile(spritespath, _OPENMODE_READ);
	checkErrors(sprhandle);

	//Bfile_WriteFile(sprhandle, spritedata, sizeof(spritedata));

	Bfile_CloseFile(sprhandle);

	int lvlhandle = Bfile_OpenFile(levelspath, _OPENMODE_READ);
	checkErrors(lvlhandle);

	Bfile_CloseFile(lvlhandle);
}

void saveToFile() {
	int handle = Bfile_OpenFile(spritespath, _OPENMODE_READ);
	checkErrors(handle);

	char* f = calloc(16, sizeof(char));
	int err = Bfile_ReadFile(handle, f, 16, 0);
	checkErrors(err);

	for (int i = 0; i < 16; ++i) {
		for (int j = 1; j <= f[i] / 2; j++) {
			Bdisp_SetPoint_DD(i, j, 1);
		}
	}

	Bfile_CloseFile(handle);
}

char* loadSprites() {
	

	
	return NULL;
}

int checkErrors(const int err) {
	if (err < 0) {
		int nerr = err * -1;

		for (int i = 0; i < nerr; ++i) {
			Bdisp_AllClr_DDVRAM();
			Bdisp_SetPoint_VRAM(i*2 + 1, 1, (unsigned char)1);
		}

		PrintXY(32, 28, (unsigned char*)"ERROR !", 1);
		Bdisp_PutDisp_DD();

		while (!KeyDown(KEY_CTRL_EXE)) {
			Sleep(100);
		}

		GetKey(&nerr);

		return err;
	}

	return 0;
}
